Bug 8151 - deprecate security parameters for 3.6
deprecate security parameters for 3.6
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: User & Group Accounts
3.6.0rc1
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-19 01:11 UTC by Andrew Bartlett
Modified: 2011-05-26 18:12 UTC (History)
1 user (show)

See Also:
abartlet: review? (jra)


Attachments
Rewrite docs for password server (7.38 KB, patch)
2011-05-23 02:16 UTC, Andrew Bartlett
no flags Details
Clarify the security=server and NTLMv2 does not work (1004 bytes, patch)
2011-05-23 02:17 UTC, Andrew Bartlett
no flags Details
Depricate a number of security parameters (17.06 KB, patch)
2011-05-23 02:17 UTC, Andrew Bartlett
no flags Details
Depricate the optional port syntax of password server (1.12 KB, patch)
2011-05-23 02:18 UTC, Andrew Bartlett
no flags Details
as a patch stream, including warning (not error) about 'password server' and security=ads (29.27 KB, patch)
2011-05-23 04:58 UTC, Andrew Bartlett
no flags Details
Improved patch stream (28.47 KB, patch)
2011-05-24 00:44 UTC, Andrew Bartlett
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2011-05-19 01:11:37 UTC
I would like to deprecate a number of parameters for Samba 3.6, so we can potentially remove them in 4.0.
Comment 1 Jeremy Allison 2011-05-19 18:37:43 UTC
Lowering this from blocker. Andrew, can you attach the git am patch for v3-6-test here please with a request for me to review. Once I've set to +1 I'll re-assign to Karolin for inclusion in 3.6.0.

Jeremy.
Comment 2 Andrew Bartlett 2011-05-23 02:16:54 UTC
Created attachment 6468 [details]
Rewrite docs for password server
Comment 3 Andrew Bartlett 2011-05-23 02:17:21 UTC
Created attachment 6469 [details]
Clarify the security=server and NTLMv2 does not work
Comment 4 Andrew Bartlett 2011-05-23 02:17:50 UTC
Created attachment 6470 [details]
Depricate a number of security parameters
Comment 5 Andrew Bartlett 2011-05-23 02:18:27 UTC
Created attachment 6471 [details]
Depricate the optional port syntax of password server
Comment 6 Andrew Bartlett 2011-05-23 02:19:57 UTC
Proposing as blocker for 3.6.0 now I've attached the patches.
Comment 7 Simo Sorce 2011-05-23 02:32:31 UTC
(In reply to comment #5)
> Created attachment 6471 [details]
> Depricate the optional port syntax of password server

Please fix the debug message.
The word is "deprecated" and not "depricated".
Comment 8 Andrew Bartlett 2011-05-23 04:58:04 UTC
Created attachment 6473 [details]
as a patch stream, including warning (not error) about 'password server' and security=ads
Comment 9 Simo Sorce 2011-05-23 11:59:23 UTC
(In reply to comment #8)
> Created attachment 6473 [details]
> as a patch stream, including warning (not error) about 'password server' and
> security=ads

(In reply to comment #8)
> Created attachment 6473 [details]
> as a patch stream, including warning (not error) about 'password server' and
> security=ads

3b75196b36e4651909247f4e32a9bb3a5e48b46f still reads depricated.
Please split the printf in 592d419aec7df8343f44e1147d2b04c4e1d2d947
to a decent length. Also fix "is should NOT", I guess dropping "is" is what you want to do.

Same in 4f764f632028a843003a8df47cc9364d5229c15a
Comment 10 Andrew Bartlett 2011-05-24 00:44:14 UTC
Created attachment 6480 [details]
Improved patch stream
Comment 11 Jeremy Allison 2011-05-24 22:31:45 UTC
Comment on attachment 6480 [details]
Improved patch stream

Looks good to me !
Jeremy.
Comment 12 Jeremy Allison 2011-05-24 22:32:09 UTC
Re-assigning to Karolin for inclusion in 3.6.0.

Jeremy.
Comment 13 Jeremy Allison 2011-05-24 22:34:03 UTC
Andrew, can you add these changes to master as well (the patch doesn't apply as-is to master).

Thanks !

Jeremy.
Comment 14 Andrew Bartlett 2011-05-24 22:54:07 UTC
I'll ensure the two branches are in sync today.

Thanks!
Comment 15 Karolin Seeger 2011-05-26 18:12:53 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!